tcl8.5 (8.5.19-2deepin1) unstable; urgency=medium

  * rebuild

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Jul 2017 14:44:17 +0800

tcl8.5 (8.5.19-2) unstable; urgency=medium

  * Applied a patch by Hirofumi Ogawa to fix a segfault on exit if run on
    hardware supporting HLE/RTM extensions.
  * Sort the object files inside the static library using the C locale to make
    the build reproducible (closes: #818751).
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Mar 2016 15:40:41 +0300

tcl8.5 (8.5.19-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2016 15:51:07 +0300

tcl8.5 (8.5.18-3) unstable; urgency=medium

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811121).
  * Fixed the tclConfig.sh serach path in the tcl8.5.m4 (closes: #777085).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 12:59:47 +0300

tcl8.5 (8.5.18-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 May 2015 13:48:55 +0300

tcl8.5 (8.5.18-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of the jessie freeze.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 10:09:42 +0300

tcl8.5 (8.5.17-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 24 Oct 2014 23:25:30 +0400

tcl8.5 (8.5.16-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Added a new symbol to the debian/libtcl8.5.symbols file.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Aug 2014 18:58:56 +0400

tcl8.5 (8.5.15-4) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 08:49:38 +0400

tcl8.5 (8.5.15-3) experimental; urgency=low

  * Restored tcl8.5.prerm script which removes alternative for
    /usr/bin/tclsh8.5 (closes: #720143).
  * Export ac_cv_func_strtod=yes and tcl_cv_strtod_buggy=1 to help with
    cross-build (closes: #719247).
  * Added ${misc:Depends} substvar for libtcl8.5-dbg package.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 12:04:08 +0400

tcl8.5 (8.5.15-2) experimental; urgency=low

  * Added the libtcl8.5-dbg package with libtcl8.5 debug symbols in it.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Oct 2013 10:15:27 +0400

tcl8.5 (8.5.15-1) experimental; urgency=low

  * New upstream release.
  * Renamed the development package back to tcl8.5-dev after a discussion
    on debian-devel mailing list.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 21:22:27 +0400

tcl8.5 (8.5.14-5) experimental; urgency=low

  * Removed unnecessary patches for init.tcl and tclPort.h.
  * Make libtcl8.5-dev depend on tcl8.5 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:22:32 +0400

tcl8.5 (8.5.14-4) experimental; urgency=low

  * Renamed tcl8.5-lib and tcl8.5-dev packages to libtcl8.5 and libtcl8.5-dev
    to match common practice of packaging interpreters for Debian.
  * Added forgotten multi-arch field to the libtcl8.5-dev package.
  * Added dpkg-dev to the libtcl8.5-dev dependencies (for dpkg-architecture).
  * Fixed the maintainer 'name'.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 10:50:38 +0400

tcl8.5 (8.5.14-3) experimental; urgency=low

  * Added tzdata to tcl8.5-lib dependencies to ensure the OS-wide timezone
    data are used in the [clock] command.
  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tcl8.5-lib
    library package with libtcl8.5.so and tclConfig.sh moved into a
    multi-archified location (closes: #698674).
  * Recreated /usr/lib/tcl8.5/tclConfig.sh for backward compatibility
    (intend to remove in the future).
  * Removed .0 suffix from the libtcl8.5.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tcl8.5-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/tclsh. This
    package ships only /usr/bin/tclsh8.5. The tcltk-defaults package provides
    the necessary symlink. This also means that tcl8.5 does no longer provide
    the tclsh virtual package.
  * Moved the old changelogs to the tcl8.5-doc package to reduce size of the
    tcl8.5 one.
  * Fixed clean target in debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 12 Jul 2013 14:58:00 +0400

tcl8.5 (8.5.14-2) unstable; urgency=low

  * Don't compress manpages twice when building the package.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 26 Jun 2013 11:48:11 +0400

tcl8.5 (8.5.14-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Apr 2013 13:05:59 +0400

tcl8.5 (8.5.13-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 24 Nov 2012 11:53:46 +0400

tcl8.5 (8.5.12-1) experimental; urgency=low

  * New upstream release.
  * Refreshed patches in debian/patches directory.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 28 Jul 2012 09:57:40 +0400

tcl8.5 (8.5.11-2) unstable; urgency=low

  * Install library(3tcl), packagens(3tcl), pkgMkIndex(3tcl) and safe(3tcl)
    manpages despite of upstream renaming them because they are referenced
    from the other pages.
  * Removed Chris Waters wrom the uploaders list (closes: #664112).
  * Renamed suggested dependency to tcl-tclreadline.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Added hardening build flags using dpkg-buildflags.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 28 May 2012 17:17:31 +0400

tcl8.5 (8.5.11-1) unstable; urgency=low

  * New upstream release.
  * Added build-arch and build-indep targets to debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 Dec 2011 10:41:59 +0400

tcl8.5 (8.5.10-1) unstable; urgency=low

  * New upstream release (closes: #617628).
  * Changed tclsh8.5 alternative priority to 850 to make it higher than
    tclsh8.4 one.
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Jun 2011 11:47:14 +0400

tcl8.5 (8.5.9-2) unstable; urgency=low

  * Moved /usr/share/tcltk/tcl8.5/tclConfig.sh back to the /usr/lib/tcl8.5
    directory because it is architecture dependent (closes: #611650).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2011 20:01:52 +0300

tcl8.5 (8.5.9-1) experimental; urgency=low

  * New upstream release.
  * Removed patch which fixed FTBFS on MIPS architectures as it is no longer
    needed.
  * Fixed license in debian/copyright.
  * Bumped standards version to 3.9.1.
  * Added ${misc:Depends} to debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 05 Nov 2010 13:33:59 +0300

tcl8.5 (8.5.8-2) unstable; urgency=low

  * Fixed building on MIPS architectures. The upstream changes in 8.5.8
    include changing FPU settings which isn't possible in Debian GNU/Linux
    (and isn't required also).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 22 Nov 2009 14:23:53 +0300

tcl8.5 (8.5.8-1) unstable; urgency=low

  * New upstream release (closes: #548656).
  * Added libtommath headers to private Tcl headers directory.
  * Added README.source file wich explains how to get patched source tree from
    the original tarball and set of patches in debian/patches.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Nov 2009 22:05:26 +0300

tcl8.5 (8.5.7-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Apr 2009 19:08:08 +0400

tcl8.5 (8.5.6-3) unstable; urgency=low

  * Don't remove tclsh alternative in case of package upgrade because the
    manually installed alternative is also removed which isn't desirable.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Mar 2009 10:35:30 +0300

tcl8.5 (8.5.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Feb 2009 15:57:39 +0300

tcl8.5 (8.5.6-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Dec 2008 14:21:54 +0300

tcl8.5 (8.5.5-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 17 Oct 2008 12:38:13 +0400

tcl8.5 (8.5.4-1) experimental; urgency=low

  * New upstream release.
  * Restored DLL unloading for hppa and kfreebsd architectures because this
    bug was worked around in glibc.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 23 Aug 2008 16:38:36 +0400

tcl8.5 (8.5.3-2) unstable; urgency=low

  * Decreased priority of tclsh (and corresponding manpage) alternative
    because tcl8.4 is still a default Tcl package.
  * Disabled DLL unloading also on hppa architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 15 Jul 2008 18:21:17 +0400

tcl8.5 (8.5.3-1) unstable; urgency=low

  * New upstream release.
  * Disabled DLL unloading on kfreebsd-i386 and kfreebsd-amd64 architectures
    because enabling it leads to segfaults on exit in threaded Tcl builds
    (closes: #488684).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 02 Jul 2008 21:09:21 +0400

tcl8.5 (8.5.2-3) unstable; urgency=low

  * Protected quilt calls in debian/rules to make the source package
    convertible to 3.0 (quilt) format (closes: #484915).
  * Added a patch by Stanislav Maslovski which restores relative inlude path
    for tclUnixPort.h in tclPort.h. This is harmless if unix directory is
    included into a serach path but allows to maintain backward compatibility
    (closes: #488491).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 30 Jun 2008 12:37:40 +0400

tcl8.5 (8.5.2-2) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Moved Tcl modules to /usr/share/tcl8.5/tcl8 directory to prevent clashes
    with future tcl8.6 package.
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Jun 2008 19:55:56 +0400

tcl8.5 (8.5.2-1) unstable; urgency=low

  * New upstream release.
  * Quoted CFLAGS in debian/rules when passing to the shell, not when
    assigning to a make variable; otherwise the quotes end up as part of
    the variable and many things go wrong, leading to a build failure.
  * Cleaned up debian/rules.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 01 Apr 2008 15:10:39 +0400

tcl8.5 (8.5.1-1) unstable; urgency=low

  * New upstream release.
  * Increased priority of /usr/bin/tclsh8.5 as an alternative to
    /usr/bin/tclsh.
  * Overridden lintian warning package-name-doesnt-match-sonames since tcl8.5
    package contains not only a library, and it's unreasonable to split it
    into smaller parts.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 Feb 2008 20:22:44 +0300

tcl8.5 (8.5.0-2) unstable; urgency=low

  * Again disabled stack checking on hppa architecture since it doesn't
    work yet.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 25 Dec 2007 16:10:04 +0300

tcl8.5 (8.5.0-1) unstable; urgency=low

  * New upstream release.
  * Removed unneeded patches.
  * Added uscan control file debian/watch.
  * Changed tcl8.5 version in shlibs to 8.5.0.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Dec 2007 10:26:52 +0300

tcl8.5 (0.b3-3) unstable; urgency=low

  * Temporarily disabled stack checking on hppa architecture since it
    doesn't work yet.
  * Added explicit --host and --build configure options taken from
    DPKG_HOST_GNU_TYPE and DPKG_BUILD_GNU_TYPE.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 28 Nov 2007 09:51:59 +0300

tcl8.5 (0.b3-2) unstable; urgency=low

  * Added a patch by Miguel Sofer which fixes a bug in tclsh with
    incorrect calculation of thread stack size (closes: #452679).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 26 Nov 2007 20:56:04 +0300

tcl8.5 (0.b3-1) unstable; urgency=low

  * New upstream beta release.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Nov 2007 18:15:50 +0300

tcl8.5 (0.b2-2) unstable; urgency=low

  * Temporarily (until transition to a new Tcl/Tk policy is done) readded
    /usr/lib to TCL_PACKAGE_PATH variable.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 14 Nov 2007 09:00:02 +0300

tcl8.5 (0.b2-1) unstable; urgency=low

  * New upstream beta release.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 26 Oct 2007 22:04:32 +0400

tcl8.5 (0.b1-3) unstable; urgency=low

  * Fixed tcl8.5-dev.preinst bug in update-alternatives call (ignore return
    value if tcl.m4 alternative doesn't exist already).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 20 Oct 2007 06:12:42 +0400

tcl8.5 (0.b1-2) unstable; urgency=low

  [ Sergei Golovan ]
  * Added -fno-unit-at-a-time option to prevent stack corruption in a
    particular use case.
  * Added /usr/local/lib/tcltk, /usr/local/share/tcltk, /usr/lib/tcltk,
    /usr/share/tcltk to auto_path variable. These directories are to be
    contain Tcl/Tk packages according to upcoming Debian Tcl/Tk Policy
    (preliminary version see at
    http://pkg-tcltk.alioth.debian.org/tcltk-policy.html/).
  * Moved architecture independent files from /usr/lib/tcl8.5 to
    /usr/share/tcltk/tcl8.5. To keep backward compatibility tclConfig.sh is
    linked to /usr/lib/tcl8.5 directory.
  * Fixed bug with update-alternatives in prerm scripts.
  * Removed conflicts with tcl and providing tcl-dev packages from
    debian/control to prepare binary packages for default tcl and tcl-dev.
  * Replaced /usr/lib by /usr/lib/tcltk in Tcl modules roots
    (TCL_MODULE_PATH).
  * Removed build-essential package from tcl8.5-dev dependencies.
  * Moved tcl.m4 to /usr/share/aclocal/tcl8.5.m4 to make it easier to use
    different versions of tcl.m4.
  * Removed alternative of tcl.m4 (the link to default tcl.m4 is to be
    maintained by tcl-dev package).
  * Rearranged conflicts of tcl8.5-doc package because of planned adoption of
    real tcl-doc package.

  [ Francesco Paolo Lovergine ]
  * Introduced Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Oct 2007 16:07:48 +0400

tcl8.5 (0.b1-1) unstable; urgency=low

  * New upstream beta release.
  * Upload to debian archive (closes: #443977).
  * Cleaned up patches in debian/patches directory.
  * Added /usr/lib/tcl8.5 to a search path for tclConfig.sh and /usr/lib/tk8.5
    to a search path for tkConfig.sh in tcl.m4.
  * Removed hack which fixed random crashes on SMP machines (it doesn't crash
    anymore, but needs additional testing).
  * Removed patch which fixed build-failure on sparc in tclPosixStr.c since it
    is not necessary anymore.
  * Removed TCL_INC_DIR from tclConfig.sh and tcl.m4.
  * Bumped debhelper compatibility to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Sep 2007 19:01:17 +0400

tcl8.5 (0.a6-1) unstable; urgency=low

  * New upstrem alpha release.
  * Added Sergei Golovan to uploaders list.
  * Added headers from compat directory to tcl8.5-dev package.
  * Added list of copyright holders and files distributed under special
    conditions to debian/copyright.
  * Removed --enable-64bit configure option from debian/rules.
  * Removed tcl-dev from conflicting with tcl8.5-doc and tcl8.5-dev. Provide
    tcl-dev by tcl8.5-dev.
  * Replaced deprecated ${Source-Version} substitution variable by
    ${binary:Version}.
  * Moved menu item from obsolete Apps to Applications section.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Sep 2007 12:17:57 +0400

tcl8.5 (0.a5-1) unstable; urgency=low

  * Initial alpha release.

 -- Chris Waters <xtifr@debian.org>  Fri, 26 Jan 2007 22:44:12 +0300

